Libosmium 2.22.0 Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Classes | Namespaces | Functions
index.hpp File Reference
`#include <osmium/util/compatibility.hpp>`
`#include <cstddef>`
`#include <cstdint>`
`#include <limits>`
`#include <stdexcept>`
`#include <string>`
Include dependency graph for index.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | osmium::not_found

## Namespaces
namespace | osmium
| Namespace for everything in the Osmium library.
namespace | osmium::index
| Indexing of OSM data, Locations, etc.

## Functions
template<typename T >
constexpr T | osmium::index::empty_value ()
template<>
constexpr size_t | osmium::index::empty_value< size_t > ()